Loading...
Searching...
No Matches
Opm::CubicEOSParams< Scalar, FluidSystem, phaseIdx > Class Template Reference

## Public Member Functions

void | setEOSType (const EOSType eos_type)
void | updatePure (Scalar temperature, Scalar pressure)
template<class FluidState>
void | updateMix (const FluidState &fs)
template<class FluidState>
void | updateSingleMoleFraction (const FluidState &fs, unsigned)
Scalar | aCache (unsigned compIIdx, unsigned compJIdx) const
void | setAi (Scalar value, unsigned compIdx)
void | setBi (Scalar value, unsigned compIdx)
Scalar | Ai (unsigned compIdx) const
Scalar | Bi (unsigned compIdx) const
void | setA (Scalar value)
void | setB (Scalar value)
Scalar | A () const
Scalar | B () const
Scalar | m1 () const
Scalar | m2 () const

## Protected Attributes

std::array< Scalar, numComponents > | Ai_
std::array< Scalar, numComponents > | Bi_
Scalar | A_
Scalar | B_
std::array< std::array< Scalar, numComponents >, numComponents > | aCache_
EOSType | EosType_

The documentation for this class was generated from the following file:

- opm/material/eos/CubicEOSParams.hpp